// -*- mode: C++; c-basic-offset: 4; fill-column: 75; tab-width: 4; indent-tabs-mode: nil -*-
addEventListener("load", function() { forkBrowserOverlay.init(); }, false);

var forkBrowserOverlay = {
    blockUser: false,

    blockEvent:  function(aEvent) {
        if ( this.blockUser ) {
            aEvent.stopPropagation();
            aEvent.preventDefault();
            return false;
        }
    },

    evtHandler : null,
    init: function() { 
        if (! window.name.match(/^fork\d+/)) {
            return;	
        }

        this.evtHandler = new forkBrowserEvtHandler();
//         observerService().addObserver(this.evtHandler, "load-into-fork", false);
        //        observerService().addObserver(this.evtHandler, "sync-into-fork", false);
//         observerService().addObserver(this.evtHandler, "makesmall", false);

//        this.getBrowser().goHome();
	
        var domWindow = htmlWinFromXULWindow(window);
        domWindow.name = "inner" + window.name;

        addBindTo(this.blockEvent);

        addObserver(this, "compare-dialog-on", false);
        addObserver(this, "compare-dialog-off", false);

        window.addEventListener("click", this.blockEvent.bind(this), true);
        window.addEventListener("mousedown", this.blockEvent.bind(this), true);
        window.addEventListener("mouseup", this.blockEvent.bind(this), true);
        window.addEventListener("keydown", this.blockEvent.bind(this), true);
        window.addEventListener("keyup", this.blockEvent.bind(this), true);
        window.addEventListener("focus", this.blockEvent.bind(this), true);
        window.addEventListener("blur", this.blockEvent.bind(this), true);               
    },
    
    observe: function(aSubject, aTopic, aData) {
        var toolbox = document.getElementById("navigator-toolbox");
        if ( aTopic == "compare-dialog-on" ) { // block keys user actions comparison dialog is up
            toolbox.collapsed = true;
            toolbox.hidden = true;
            this.blockUser = true;
            
        } else if ( aTopic == "compare-dialog-off" ) {
            toolbox.collapsed = false;
            toolbox.hidden = false;
            this.blockUser = false;
        }
    },

    myBrowser: null,

    getBrowser: function()  {
        if (! this.myBrowser) {
            this.myBrowser = document.getElementById("content");
        }

        return this.myBrowser;
    },
    
    loadPage:  function(uri)  {
        if (window.closed) {
            return;
        }

        const nsIWebNavigation = Components.interfaces.nsIWebNavigation;
        this.getBrowser().webNavigation.loadURI(uri, nsIWebNavigation.LOAD_FLAGS_NONE, null, null, null);
    }

};


function forkBrowserEvtHandler() {
    this.observe = function(aSubject, aTopic, aData) {
        if (forkBrowserOverlay) {

//             if (aTopic == "load-into-fork") {

//                 forkBrowserOverlay.loadPage(aData);

// //             } else if (aTopic == "sync-into-fork") {

// //                 window.innerWidth=640;
// //                 window.innerHeight=480;
// //                 forkBrowserOverlay.loadPage(aData);

//             } else if (aTopic == "makesmall") {

//                 window.innerWidth=64;
//                 window.innerHeight=48;

//             }

        }
    };
}
