// -*- mode: C++; c-basic-offset: 4; fill-column: 75; tab-width: 4; indent-tabs-mode: nil -*-
//
//  **** BEGIN LICENSE BLOCK ****
//  Copyright(c) 2005 Umesh Shankar and Chris Karlof
//  This program is free software; you can redistribute it and/or modify it under
//  the terms of the GNU General Public License as published by the Free
//  Software Foundation; either version 2 of the License, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
//  more details.
//
//  You should have received a copy of the GNU General Public License along with
//  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
//  Place, Suite 330, Boston, MA 02111-1307 USA
//  **** END LICENSE BLOCK ****
//
//


//
// The idea here is to display a small non-modal window while a
// long-running operation is taking place and then close it
// afterwards. The openStatusWindow() function returns a window handle
//

function openStatusWindow(parentWin, title, htmlContents, centerOnThisWin, modal, aHeight) {
    var width = 350;
    var height = aHeight || 150;
    var left;
    var right;
    if ( centerOnThisWin ) {
	left = centerOnThisWin.screenX + (centerOnThisWin.outerWidth / 2) - (width / 2);
	top = centerOnThisWin.screenY + (centerOnThisWin.outerHeight / 2) - (height / 2);
    }

    return parentWin.openDialog("chrome://doppelganger/content/statuswindow.xul", 
                                "status", 
                                "chrome,dialog=yes,alwaysRaised=yes,modal=" + (modal ? "yes" : "no") + ",width=" + width + ",height=" + height
				+ ( centerOnThisWin ? (",left="+left+",top="+top) : ""),
                                title, htmlContents);
}
